Subject: Re: [bug#39384] [PATCH] gnu: Add emacs-rg.

From: Efraim Flashner <[email-masked]>
Date: Wed, 05 Feb 2020 07:13:02 +0000

On February 5, 2020 3:08:11 AM UTC, "LaFreniere, Joseph" <[email-masked]> wrote:
>
>Efraim Flashner <[email-masked]> writes:
>> We want to have ripgrep as a regular input, so at the point in 
>> the code
>> where it searches through PATH for the rg binary we patch it to 
>> refer to
>> the specific binary. One example of this is in (gnu packages 
>> emacs-xyz),
>> with emacs-nov-el.
>
>Ah, I see what you mean now.  But wouldn't hard-coding the path to 
>ripgrep in that way prevent the package from being able to use 
>remote systems' ripgrep binaries when running over TRAMP?
>

Unfortunately that's not something I know. I remember that for the tramp package itself there were some changes related to PATH to make it work when connecting between a Guix System and a foreign one. Hopefully someone knows the answer.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.